Skip to main content
GET
/
api
/
products
/
{product_key}
/
variants
/
List Variants
curl --request GET \
  --url https://api.merchantops.ai/api/products/{product_key}/variants/
{
  "items": [
    {
      "id": "<string>",
      "key": "<string>",
      "productType": {},
      "product_key": "<string>",
      "createdAt": "<string>",
      "createdBy": "<string>",
      "isPublished": false,
      "lastModifiedAt": "<string>",
      "lastModifiedBy": "<string>",
      "properties": {},
      "properties_metadata": {},
      "propertyCount": 0
    }
  ],
  "limit": 123,
  "offset": 123,
  "total": 123
}

Headers

authorization
string | null
X-Organization-ID
string | null

Path Parameters

product_key
string
required

Query Parameters

limit
integer
default:50

Maximum results

Required range: 1 <= x <= 500
offset
integer
default:0

Number of results to skip

Required range: x >= 0
sort_by
string | null

Sort field. Top-level: created_at, is_published, key, updated_at. Anything else is treated as a property key (e.g., 'color').

sort_dir
string
default:asc
Pattern: ^(asc|desc)$
property_filter
string[] | null

Repeatable: key:value. Filters by properties. = value.

Cookies

stytch_session
string | null

Response

Successful Response

Paginated response for listing Variants.

items
VariantResponse · object[]
required
limit
integer
required
offset
integer
required
total
integer
required